// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import javax.xml.namespace.QName;
import javax.xml.rpc.encoding.Deserializer;
import javax.xml.rpc.encoding.Serializer;
import javax.xml.rpc.encoding.TypeMapping;
import javax.xml.rpc.encoding.TypeMappingRegistry;

import com.sun.xml.rpc.client.BasicService;
import com.sun.xml.rpc.encoding.CombinedSerializer;
import com.sun.xml.rpc.encoding.ReferenceableSerializerImpl;
import com.sun.xml.rpc.encoding.SerializerConstants;
import com.sun.xml.rpc.encoding.SingletonDeserializerFactory;
import com.sun.xml.rpc.encoding.SingletonSerializerFactory;
import com.sun.xml.rpc.soap.SOAPVersion;

public class Wbb_WebService_SerializerRegistry implements SerializerConstants {
	public Wbb_WebService_SerializerRegistry() {
	}

	public TypeMappingRegistry getRegistry() {

		TypeMappingRegistry registry = BasicService
				.createStandardTypeMappingRegistry();
		TypeMapping mapping12 = registry
				.getTypeMapping(com.sun.xml.rpc.wsdl.document.soap.SOAP12Constants.NS_SOAP_ENCODING);
		TypeMapping mapping = registry
				.getTypeMapping(com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
		TypeMapping mapping2 = registry.getTypeMapping("");
		{
			QName type = new QName("Wbb_WebService", "wbb_LemmaSearch2xml");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml_FirstLineResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_getAllEtymRelations");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_getAllDictionarysResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_getAllDictionarys");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllDictionarys_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_LemmaSearch");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_getLinking4_LinkEditorResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_LemmaSearchResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml_linking");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "selectlemmatafromwbb");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_getLinks");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml_FirstLine");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "selectlemmatafromwbb_09");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4WebResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4RCP2xmlResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_getLinking4_LinkEditor");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinking4_LinkEditor_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml_linkingResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_LemmaSearch4RCP2xml");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4RCP2xml_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_getLinksResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getLinks_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xmlResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_getAllSemanticRelations");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_ExtResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_FirstLine_Ext_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_getAllEtymRelationsResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch2xmlResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_setLinkResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4_NEW_RCP2xml");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"selectlemmatafromwbbResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_setLink");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_LemmaSearch4Web_lux");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_RequestStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"selectlemmatafromwbb_09Response");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_selectlemmatafromwbb_09_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_getAllSemanticRelationsResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllSemanticRelations_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService",
					"wbb_LemmaSearch4Web_luxResponse");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_lux_ResponseStruct.class,
					type, serializer);
		}
		{
			QName type = new QName("Wbb_WebService", "wbb_LemmaSearch4Web");
			CombinedSerializer serializer = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct_SOAPSerializer(
					type, DONT_ENCODE_TYPE, NULLABLE,
					com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING);
			serializer = new ReferenceableSerializerImpl(DONT_SERIALIZE_AS_REF,
					serializer, SOAPVersion.SOAP_11);
			registerSerializer(
					mapping,
					info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4Web_RequestStruct.class,
					type, serializer);
		}
		return registry;
	}

	private static void registerSerializer(TypeMapping mapping,
			java.lang.Class javaType, javax.xml.namespace.QName xmlType,
			Serializer ser) {
		mapping.register(javaType, xmlType,
				new SingletonSerializerFactory(ser),
				new SingletonDeserializerFactory((Deserializer) ser));
	}

}
